Summary: Bridge from Nagios to the Metric Store DB
Name: mrs
Version: 1.8.0
Release: 1%{?dist}
License: ASL 2.0
Group: Network/Monitoring
Source: %{name}-%{version}.src.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildArch: noarch
Requires: perl(GridMon) >= 1.0.15
Requires: perl-DBD-SQLite

Obsoletes: nagios2metricstore

%description
This package contains script send_to_db, which is used for loading data to local 
Metric Store.
"send_to_db" is called as a Nagios check "org.egee.SendToMetricStore". It reads
WLCG Monitoring WG compatible metricOutput messages from the queue and
inserts them to the database.
org.egee.SendToMetricStore is enabled only if NCG flag LOCAL_METRIC_STORE is set 
to 1.
The package contains also sql scripts for creating Metric Store databases 
(MySQL and Oracle version).

%prep
%setup -c

%build
# No build

%install
rm -rf %{buildroot}
make prefix=%{buildroot} install

%check
make test

%clean
rm -rf %{buildroot}

%pre
# Create nagios user
if ! /usr/bin/id nagios &>/dev/null; then
    /usr/sbin/useradd -r -m -d /var/log/nagios -s /bin/sh -c "nagios" nagios || \
        logger -t nagios/rpm "Unexpected error adding user \"nagios\". Aborting installation."
fi
if ! /usr/bin/getent group nagiocmd &>/dev/null; then
    /usr/sbin/groupadd nagiocmd &>/dev/null || \
        logger -t nagios/rpm "Unexpected error adding group \"nagiocmd\". Aborting installation."
fi

%post
# remove the old rejected data (copied "by hand")
find /var/spool/nagios2metricstore/rejected -maxdepth 1 -type f -exec rm -f \{\} \;

%files
%defattr(-,root,root,-)
%{_libexecdir}/grid-monitoring/plugins/nagios/send_to_db
%dir %attr(0770,nagios,nagios) /var/spool/nagios2metricstore/outgoing
%dir %attr(0770,nagios,nagios) /var/spool/nagios2metricstore/rejected
%dir %attr(0770,nagios,nagios) /var/spool/nagios2metricstore/data
%dir %attr(0770,root,nagios) %{_sysconfdir}/mrs.d
%doc CHANGES README INSTALL DBScripts LICENSE
%attr(0640,root,nagios) %config(noreplace) %{_sysconfdir}/nagios/plugins/send_to_db.ini
%attr(0755,root,nagios) %config(noreplace) %{_datadir}/nagios/html/pnp4nagios/templates/ncg_check_native_local.php
%attr(0640,root,nagios) %config(noreplace) %{_sysconfdir}/mrs.d/mysql-mrs.conf
%attr(0640,root,nagios) %config(noreplace) %{_sysconfdir}/mrs.d/oracle-mrs.conf
%attr(0755,root,root) %{_bindir}/mrs-dump-status
%attr(0755,root,root) %{_sbindir}/mrs-bootstrapper
%attr(0755,root,root) %{_sbindir}/mrs-log
%attr(0755,root,root) %{_bindir}/mrs-replay-messages

%changelog
* Fri Nov 14 2014 Emir Imamagic <eimamagi@srce.hr> - 1.8.0-1%{?dist}
- Removed perl-TOM dependency
* Fri Jun 14 2013 Robert Veznaver <robert.veznaver@cern.ch> 1.7.42-1
- Replaced inner with outer join in metric translation mechanism.
* Thu Jun 13 2013 Robert Veznaver <robert.veznaver@cern.ch> 1.7.41-1
- [SAM-3291] Added missing files for oracle DB schema
* Mon May 06 2013 Robert Veznaver <robert.veznaver@cern.ch> 1.7.39-1
- [SAM-3034] changed MySQL date handling for ch.cern.sam.MrsCheckDBInserts
* Thu Mar 28 2013 Robert Veznaver <robert.veznaver@cern.ch> 1.7.38-1
- [SAM-3210] mrs: translation mechanism for metrics
- [SAM-3228] rewrite/redesign STCHG_SERV_PROF_MAXTS_DTR
- [SAM-3124] Implement new MRS dataloader algorithm - HIGHLY EXPERIMENTAL CODE
* Thu Feb 07 2013 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.37-1 
- [SAM-1601] MRS (MySQL) added CREATE_MRS_SCHEMA.sql and UPGRADE_MRS_SCHEMA.sql (redesign of the db upgrades in yaim)
* Wed Jan 29 2013 Robert Veznaver <robert.veznaver@cern.ch> 1.7.36-1
- [SAM-3185] atp still using service types
* Wed Dec 05 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.35-1 
- [TINF-1310] vo independent metrics are not inserted in status change_service_profile table in UP-19
* Wed Nov 28 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.34-1            
- [SAM-3125] statuschange_service_profile table empty if all metrics are vo independents
* Mon Nov 19 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.32-1            
- [SAM-3098] nvl function shouldn't be used in MySQL code
* Mon Oct 29 2012 Robert Veznaver <robert.veznaver@cern.ch> 1.7.31-1            
- [SAM-2972] Delete messages in old format before upgrade
* Thu Oct 11 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.30-1
- [SAM-3013] VO independent metrics are not added to statuschange_service_profile on MySQL
* Fri Sep 07 2012 Robert Veznaver <robert.veznaver@cern.ch> 1.7.28-1
- [SAM-2913] Rewrote purging mechanism (Oracle)
* Fri Aug 31 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.27-1
- [SAM-2933] Wrong status computation when metric received with multiple FQANs (Oracle)
- [SAM-2937] Wrong status computation when metric received with multiple FQANs (MySQL)
* Tue Aug 21 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.26-1
- [SAM-2916] added missing indexes in mrs_bootstrapper and statuschange_metric_service
* Thu Aug 06 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.25-1
- [SAM-2858] added missing indexes to Update-17
* Thu Aug 02 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.24-1
- [SAM-2877] metric_history_in_profile view was modified
* Thu Aug 02 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.23-1
- [SAM-2879] fixed IndentationError
* Wed Aug 01 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.21-1
- [SAM-2873] fixed problem in mrs-log && sequence wrongly used in mrs-bootstrapper for sam-nagios
* Thu Jul 26 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.19-1
- [SAM-2858] added 2 indexes and added a hint in loadmetricdatafromspool to avoid the full table scan
  and making an index range scan (the optimizer isn't able to do it by itself, so the hint is needed)
* Wed Jul 25 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.17-1
- https://tomtools.cern.ch/jira/browse/SAM-2837
* Fri Jul 20 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.16-1
- https://tomtools.cern.ch/jira/browse/SAM-2825 
* Tue Jul 17 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.15-1
- MRS bootstrapper error handler improved
* Mon Jul 16 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.13-1
- https://tomtools.cern.ch/jira/browse/SAM-2801
* Fri Jul 6 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.12-1
- https://tomtools.cern.ch/jira/browse/SAM-2239
- https://tomtools.cern.ch/jira/browse/SAM-2479
- https://tomtools.cern.ch/jira/browse/SAM-2684
- https://tomtools.cern.ch/jira/browse/SAM-2714
- https://tomtools.cern.ch/jira/browse/SAM-2762
* Mon Jul 2 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.11-1
- Fixed fqan and vo bug (MySQL)
* Thu Jun 28 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.10-1
- Fixed fqan and vo bug (Oracle)
* Tue Jun 26 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.7-3
- https://tomtools.cern.ch/jira/browse/SAM-2773 added missing triggers (Update-18)
* Tue Jun 26 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.7.6-3
- https://tomtools.cern.ch/jira/browse/SAM-2773 added missing triggers (Update-17)
* Mon Jun 25 2012 Christos Triantafyllidis <ctria@grid.auth.gr> 1.7.5-1
- Replaced perl-MIG with perl-Messaging-Message
-  https://tomtools.cern.ch/jira/browse/SAM-2444
* Mon Jun 25 2012 Wojciech Lapka <wojciech.lapka@cern.ch> 1.7.4-1
- Fixed migration problems (Update 17)
* Mon Jun 25 2012 Wojciech Lapka <wojciech.lapka@cern.ch> 1.7.3-1
- Fixed migration problems (Update 17)
* Wed Jun 20 2012 Wojciech Lapka <wojciech.lapka@cern.ch> 1.7.2-1
-  https://tomtools.cern.ch/jira/browse/SAM-400 MySQL events - error handling
* Tue Jun 19 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.30-3
-  https://tomtools.cern.ch/jira/browse/SAM-2759 Fixed typo error
* Mon Jun 18 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.30-1
- MRS checks only POEM (not ATP) to mark REMOVED entries (Oracle - Update 18)
- When a tuple dissapears from MRS bootstrapper, every entry of this tuple will be rejected (Oracle + MySQL Update 18)
* Mon Jun 18 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.29-2
- catch exception when select into returns NO_DATA_FOUND (Oracle - Update 17)
* Fri Jun 15 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.29-1
- MRS checks only POEM (not ATP) to mark REMOVED entries (Oracle - Update 17)
- When a tuple dissapears from MRS bootstrapper, every entry of this tuple will be rejected (Oracle + MySQL Update 17)
* Tue Jun 12 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.28-1
-  https://tomtools.cern.ch/jira/browse/SAM-2737 (Update 18)
* Tue Jun 12 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.27-1
-  https://tomtools.cern.ch/jira/browse/SAM-2737 (Update 17)
* Mon Jun 11 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.26-1
-  https://tomtools.cern.ch/jira/browse/SAM-2727 (MySQL version Update 18, 1.6.24-1 created for Update-17)
* Thu Jun 7 2012 Wojciech Lapka <wojciech.lapka@cern.ch> 1.6.25-1
-  https://tomtools.cern.ch/jira/browse/SAM-2728 (Only Oracle version)
-  https://tomtools.cern.ch/jira/browse/SAM-2727
* Tue Jun 5 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.23-1
-  https://tomtools.cern.ch/jira/browse/SAM-2711 MySQL + Oracle Update-18
* Tue Jun 5 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.22-1
-  https://tomtools.cern.ch/jira/browse/SAM-2711 MySQL + Oracle Update-17
* Mon Jun 4 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.21-1
-  https://tomtools.cern.ch/jira/browse/SAM-2711
* Fri Jun 01 2012 Wojciech Lapka <wojciech.lapka@cern.ch> 1.6.19-1
-  https://tomtools.cern.ch/jira/browse/SAM-2706
* Thu May 31 2012 Wojciech Lapka <wojciech.lapka@cern.ch> 1.6.18-1
-  https://tomtools.cern.ch/jira/browse/SAM-2705
-  https://tomtools.cern.ch/jira/browse/SAM-2704
* Fri May 25 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.15-1
-  https://tomtools.cern.ch/jira/browse/SAM-2574
-  https://tomtools.cern.ch/jira/browse/SAM-2091
-  https://tomtools.cern.ch/jira/browse/SAM-2478
-  https://tomtools.cern.ch/jira/browse/SAM-2439
-  https://tomtools.cern.ch/jira/browse/SAM-467
-  https://tomtools.cern.ch/jira/browse/SAM-2683
* Fri May 25 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.14-1
-  patches for SAM-Update 17
* Fri May 11 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.13-1
- Fixed problem with create_procedures.sql
* Wed May 9 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.12-1
-  Added log in MDDB2POEM scripts & logstatus procedure
* Tue May 8 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.10-1
-  https://tomtools.cern.ch/jira/browse/SAM-2673
* Wed May 2 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.9-1
-  https://tomtools.cern.ch/jira/browse/SAM-2666
* Wed May 2 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.6-1
-  https://tomtools.cern.ch/jira/browse/SAM-2658
* Fri Apr 27 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.5-1
-  https://tomtools.cern.ch/jira/browse/SAM-2656
* Wed Apr 25 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.4-1
-  https://tomtools.cern.ch/jira/browse/SAM-2651
* Tue Apr 24 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.6.0-1
-  https://tomtools.cern.ch/jira/browse/SAM-2650
* Fri Apr 20 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.22-1
-  https://tomtools.cern.ch/jira/browse/SAM-2646
* Thu Apr 19 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.21-1
-  https://tomtools.cern.ch/jira/browse/SAM-2644
* Wed Apr 18 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.20-1
-  https://tomtools.cern.ch/jira/browse/SAM-2639
* Sun Apr 15 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.19-1
-  https://tomtools.cern.ch/jira/browse/SAM-2626
* Thu Apr 12 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.18-1
-  https://tomtools.cern.ch/jira/browse/SAM-2618
* Thu Apr 12 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.17-1
-  https://tomtools.cern.ch/jira/browse/SAM-2598
* Wed Apr 11 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.16-1
-  https://tomtools.cern.ch/jira/browse/SAM-2606
* Tue Apr 10 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.15-1
-  https://tomtools.cern.ch/jira/browse/SAM-2606
* Fri Mar 30 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.14-1
-  https://tomtools.cern.ch/jira/browse/SAM-2585
-  https://tomtools.cern.ch/jira/browse/SAM-2594
* Thu Mar 29 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.12-1
-  https://tomtools.cern.ch/jira/browse/SAM-2585
* Wed Mar 28 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.11-1
-  https://tomtools.cern.ch/jira/browse/SAM-2128
-  https://tomtools.cern.ch/jira/browse/SAM-2582
* Wed Mar 28 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.10-1
-  https://tomtools.cern.ch/jira/browse/SAM-2578
* Fri Mar 23 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.9-1
-  https://tomtools.cern.ch/jira/browse/SAM-2549
* Wed Mar 21 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.8-1
-  https://tomtools.cern.ch/jira/browse/SAM-2485 support for vo independent metrics
* Tue Mar 20 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.7-1
-  Oracle script was dropping twice each trigger
* Tue Mar 20 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.6-1
-  https://tomtools.cern.ch/jira/browse/SAM-2524
* Mon Mar 19 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.5-1
-  Fixed problems in validation machine
* Mon Mar 19 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.4-1
-  https://tomtools.cern.ch/jira/browse/SAM-2508
* Fri Mar 16 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.3-1
-  https://tomtools.cern.ch/jira/browse/SAM-2505
* Thu Mar 15 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.2-1
-  https://tomtools.cern.ch/jira/browse/SAM-2498
-  https://tomtools.cern.ch/jira/browse/SAM-2500
-  https://tomtools.cern.ch/jira/browse/SAM-2502
* Wed Mar 14 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.1-1
-  https://tomtools.cern.ch/jira/browse/SAM-2491
* Tue Mar 13 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.5.0-1
-  Release 17 - POEM
* Tue Mar 13 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.4.10-1
-  new version of mrs 1.12
* Wed Feb 1 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.4.9-1
- https://tomtools.cern.ch/jira/browse/SAM-2384
* Wed Feb 1 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.4.7-1
- https://tomtools.cern.ch/jira/browse/SAM-2378
* Thu Jan 26 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.4.6-1
- https://tomtools.cern.ch/jira/browse/SAM-2348
* Thu Jan 26 2012 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.4.5-1
- https://tomtools.cern.ch/jira/browse/SAM-2348
* Thu Jan 19 2012 Wojciech Lapka <Wojciech.Lapka@cern.ch> 1.4.4-1
- SAM-2317, SAM-2164, SAM-2168, SAM-2200, SAM-2287, SAM-2288, SAM-2301, SAM-2201
* Mon Dec 19 2011 Wojciech Lapka <Wojciech.Lapka@cern.ch> 1.4.3-1
- https://tomtools.cern.ch/jira/browse/SAM-2269, SAM-2271
* Fri Dec 16 2011 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.4.3-1
- POEM integration - version 1
* Wed Nov 23 2011 Paloma Fuente <paloma.fuente.fernandez@cern.ch> 1.3.11-1
- https://tomtools.cern.ch/jira/browse/SAM-2168
- https://tomtools.cern.ch/jira/browse/SAM-2200
* Fri Oct 21 2011 Wojciech Lapka <wojciech.lapka@cern.ch> 1.3.8-1
- https://tomtools.cern.ch/jira/browse/SAM-2085
- https://tomtools.cern.ch/jira/browse/SAM-2084
* Fri Oct 21 2011 Wojciech Lapka <wojciech.lapka@cern.ch> 1.3.6-1
- https://tomtools.cern.ch/jira/browse/SAM-2078
- https://tomtools.cern.ch/jira/browse/SAM-2079
- https://tomtools.cern.ch/jira/browse/SAM-2081
* Wed Oct 19 2011 Wojciech Lapka <wojciech.lapka@cern.ch> 1.3.3-1
- https://tomtools.cern.ch/jira/browse/SAM-2069
- https://tomtools.cern.ch/jira/browse/SAM-2071
* Tue Oct 17 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.3.2-1
- https://tomtools.cern.ch/jira/browse/SAM-1997
* Mon Oct 17 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.3.1-1
- https://tomtools.cern.ch/jira/browse/SAM-1960
- https://tomtools.cern.ch/jira/browse/SAM-1959
- https://tomtools.cern.ch/jira/browse/SAM-1964
* Wed Sep 21 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.2.3-1
- https://tomtools.cern.ch/jira/browse/SAM-1946
* Mon Sep 12 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.2.1-1
- https://tomtools.cern.ch/jira/browse/SAM-1857, SAM-1832, SAM-1663, SAM-1659, SAM-1887, SAM-1846
* Thu Aug 18 2011 Ioan Gabriel Bucur <ioan.gabriel.bucur@cern.ch> - 1.1.3-1
- https://tomtools.cern.ch/jira/browse/SAM-1798
* Wed Aug 17 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.1.2-1
- https://tomtools.cern.ch/jira/browse/SAM-1792
* Tue Aug 16 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.1.0-1
- https://tomtools.cern.ch/jira/browse/SAM-1782
- https://tomtools.cern.ch/jira/browse/SAM-1754
* Thu Jun 16 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.36-1
- Rolled back to version 1.0.34-2
* Thu Jun 16 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.35-1
- https://tomtools.cern.ch/jira/browse/SAM-1631
* Tue May 09 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.34-2
- https://tomtools.cern.ch/jira/browse/SAM-1435
- https://tomtools.cern.ch/jira/browse/SAM-1433
- https://tomtools.cern.ch/jira/browse/SAM-1432
- https://tomtools.cern.ch/jira/browse/SAM-1425
- https://tomtools.cern.ch/jira/browse/SAM-1406
- https://tomtools.cern.ch/jira/browse/SAM-1373
- https://tomtools.cern.ch/jira/browse/SAM-1372
- https://tomtools.cern.ch/jira/browse/SAM-1370
* Wed Apr 27 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.33-3
- https://tomtools.cern.ch/jira/browse/SAM-1437
* Tue Mar 22 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.33-2
- https://tomtools.cern.ch/jira/browse/SAM-1316
- https://tomtools.cern.ch/jira/browse/SAM-1312
- https://tomtools.cern.ch/jira/browse/SAM-1340
- https://tomtools.cern.ch/jira/browse/SAM-1332
* Mon Jan 24 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.32-3
- https://tomtools.cern.ch/jira/browse/SAM-445
- https://tomtools.cern.ch/jira/browse/SAM-1128
* Fri Dec 10 2010 James Casey <james.casey@cern.ch> - 1.0.31-2
- Added hoemdir for nagios user
* Wed Dec 08 2010 James Casey <james.casey@cern.ch> - 1.0.31-1
- Bugfixes
- added perl-DBD-SQLite as a dependency
- SAM-993: create nagios user on demand as %pre
* Sat Dec 04 2010 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.30-1
- https://tomtools.cern.ch/jira/browse/SAM-985
* Tue Nov  9 2010 Lionel Cons <lionel.cons@cern.ch> - 1.0.29-1
- send_to_db and mrs-load-services now better handle huge message queues.
* Tue Sep 21 2010 Wojciech Lapka <Wojciech.Lapka@cern.ch> - 1.0.28-1
- https://tomtools.cern.ch/jira/browse/SAM-777
* Tue Sep 07 2010 Robert Veznaver <robert.veznaver@cern.ch> - 1.0.27-1
- https://tomtools.cern.ch/jira/browse/SAM-792
* Wed Aug 25 2010 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.26-1
- https://tomtools.cern.ch/jira/browse/SAM-657
* Wed Aug 25 2010 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.25-1
- https://tomtools.cern.ch/jira/browse/SAM-758
* Thu Aug 12 2010 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.24-5
- https://tomtools.cern.ch/jira/browse/SAM-724
* Wed Aug 11 2010 Robert Veznaver <robert.veznaver@cern.ch> - 1.0.24-2
- Tuning of check_missing_probes_mrs.
* Wed Aug 11 2010 Lionel Cons <lionel.cons@cern.ch> - 1.0.24-1
- Added support for new message queue in send_to_db.
* Tue Aug 03 2010 Robert Veznaver <robert.veznaver@cern.ch> 1.0.23-2
- Added check_missing_probes_mrs
* Fri Jul 09 2010 James Casey <james.casey@cern.ch> 1.0.22-1
- Added code
* Wed Jun 30 2010 Wojciech Lapka <wojciech.lapka@cern.ch> 1.0.21-2
- MRS upgrade: drop events, don't purge data
* Thu Jun 24 2010 Wojciech Lapka <wojciech.lapka@cern.ch> 1.0.20-1
- Purge metricdata_latest, metricdata_spool during DB upgrade 
* Wed Jun 23 2010 Wojciech Lapka <wojciech.lapka@cern.ch> 1.0.19-1
- SAM-313
* Mon Jun 21 2010 Wojciech Lapka <wojciech.lapka@cern.ch> 1.0.18-1
- Few bugs and new features:
  https://tomtools.cern.ch/jira/browse/SAM-514, SAM-313, SAM-460, SAM-528, SAM-529 
* Fri Mar 19 2010 Wojciech Lapka <wojciech.lapka@cern.ch> 1.0.16-1
- Removed reference to GridMon::MsgBroker (https://savannah.cern.ch/bugs/?64585)
* Tue Feb 16 2010 Wojciech Lapka <wojciech.lapka@cern.ch> 1.0.15-1
- Added procedure addSupportedProfiles
- Added hack for sBII tests (https://savannah.cern.ch/bugs/?62833)
- Corrected bug in addSupportedSites 
* Thu Feb 11 2010 Wojciech Lapka <wojciech.lapka@cern.ch> 1.0.14-1
- Modifed procedure addSupportedVos
- Added table supported_vos
- Dropped event insertMissingMetrics, call insertMissingMetrics by loadmetricdata
- Found and solved problem with cursors
* Wed Feb 10 2010 Wojciech Lapka <wojciech.lapka@cern.ch> 1.0.13-1
- Corrected typo in create_schema.sql 
* Fri Feb 05 2010 Wojciech Lapka <wojciech.lapka@cern.ch> 1.0.12-1
- Move rejected messages to folder /var/spool/nagios2metricstore/outgoing
- Modified procedure purgeMetricStore, insertMissingMetrics
- Use table metricdata_spool, wait 10 minutes before loading to metricdata
- Added tables: supported_sites, supported_rocs
* Wed Nov 26 2009 Wojciech Lapka <wojciech.lapka@cern.ch> 1.0.11-1
- Only MySQL: Added procedure addSupportedVos, added table supportedVos
* Wed Nov 25 2009 Wojciech Lapka <wojciech.lapka@cern.ch> 1.0.10-1
- Added tables: tested_services, schema_details (DB versioning).
- Dropped table: statuschange_service.
- Added procedure: insertMissingMetrics and job/event, which will call this procedure.
- Only MySQL: Added procedure: purgeMetricStore and event, which will call this procedure.
* Fri Oct 23 2009 Steve Traylen <steve.traylen@cern.ch> 1.0.6-1
- Forgot to include send_to_db files.
* Fri Oct 23 2009 Steve Traylen <steve.traylen@cern.ch> 1.0.5-1
- Addition of send_to_db.ini configuration file.
* Fri Oct 23 2009 Steve Traylen <steve.traylen@cern.ch> 1.0.4-1
- Updated schema files.
* Thu Oct 15 2009 Steve Traylen <steve.traylen@cern.ch> 1.0.3-1
- Enable tests in .spec file.
* Thu Oct 15 2009 Wojciech Lapka <wojciech.lapka@cern.ch> 1.0.3-0
- Very first build

